#!/bin/sh
WBFOLDER="`dirname $0`"
cd ${WBFOLDER}
cd ..
JAR="`ls lib/falcom-project-workbench-[[:digit:]]*.jar`"
CLASSPATH="`ls lib/workbench-plugin-*.jar`"
echo "use following JARS : ${JAR}"
JAVADIR=./jre/bin/
if [ -d "$JAVADIR" ]; then
  JAVA=./jre/bin/java
  chmod +x ${JAVA}
  JAVA_PATH=
  export JAVA_PATH=./jre
  export JAVA_HOME=./jre
else
	JAVA=java
fi
JAVA_LIB_PATH=./lib:./lib/macosx_x86_64/
export JAVA_LIB_PATH
PATH=$JAVA_LIB_PATH:$JAVADIR:$PATH
export PATH

echo "start"
if [ -z "$CLASSPATH" ];then
  echo "${JAVA} -Djava.library.path=$JAVA_LIB_PATH -XstartOnFirstThread -jar ${JAR}"
  ${JAVA} -Dfile.encoding=ISO-8859-1 -Djava.library.path=$JAVA_LIB_PATH -XstartOnFirstThread -jar ${JAR}
else
  echo "${JAVA} -Djava.library.path=$JAVA_LIB_PATH -XstartOnFirstThread -cp $CLASSPATH -jar ${JAR}"
  ${JAVA} -Dfile.encoding=ISO-8859-1 -Djava.library.path=$JAVA_LIB_PATH -XstartOnFirstThread -cp $CLASSPATH -jar ${JAR}
fi